## com.google.gwt.dom.client
Class MetaElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.MetaElement

    public class MetaElement

extends Element

This contains generic meta-information about the document.

See Also:
  W3C HTML Specification

Field Summary

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` `MetaElement()`

Method Summary
`static MetaElement` `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`java.lang.String` `getContent()` Associated information.
`java.lang.String` `getHttpEquiv()` HTTP response header name [IETF RFC 2616].
`java.lang.String` `getName()` Meta information name.
`void` `setContent(java.lang.String content)` Associated information.
`void` `setHttpEquiv(java.lang.String httpEquiv)` HTTP response header name [IETF RFC 2616].
`void` `setName(java.lang.String name)` Meta information name.

Methods inherited from class com.google.gwt.dom.client.Element

`as, getAbsoluteLeft, getAbsoluteTop, getAttribute, getClassName, getDir, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getParentElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTagName, getTitle, isOrHasChild, removeAttribute, scrollIntoView, setAttribute, setClassName, setDir, setId, setInnerHTML, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyString, setScrollLeft, setScrollTop, setTitle`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetaElement

    protected MetaElement()

Method Detail

### as

    public static MetaElement as(Element elem)

  Assert that the given `Element` is compatible with this class and automatically typecast it.

### getContent

    public final java.lang.String getContent()

  Associated information.

  See Also:
    W3C HTML Specification

### getHttpEquiv

    public final java.lang.String getHttpEquiv()

  HTTP response header name [IETF RFC 2616].

  See Also:
    W3C HTML Specification

### getName

    public final java.lang.String getName()

  Meta information name.

  See Also:
    W3C HTML Specification

### setContent

    public final void setContent(java.lang.String content)

  Associated information.

  See Also:
    W3C HTML Specification

### setHttpEquiv

    public final void setHttpEquiv(java.lang.String httpEquiv)

  HTTP response header name [IETF RFC 2616].

  See Also:
    W3C HTML Specification

### setName

    public final void setName(java.lang.String name)

  Meta information name.

  See Also:
    W3C HTML Specification